<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>DomainObjectCollection (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DomainObjectCollection (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/DomainObjectCollection.html" target="_top">Frames</a></li>
<li><a href="DomainObjectCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api</div>
<h2 title="Interface DomainObjectCollection" class="title">Interface DomainObjectCollection&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The type of domain objects in this collection.</dd></dl>
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;T&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/gradle/api/artifacts/ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts">ArtifactRepositoryContainer</a>, <a href="../../../org/gradle/api/artifacts/type/ArtifactTypeContainer.html" title="interface in org.gradle.api.artifacts.type">ArtifactTypeContainer</a>, <a href="../../../org/gradle/api/artifacts/repositories/AuthenticationContainer.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationContainer</a>, <a href="../../../org/gradle/platform/base/BinaryTasksCollection.html" title="interface in org.gradle.platform.base">BinaryTasksCollection</a>, <a href="../../../org/gradle/api/reporting/BuildDashboardReports.html" title="interface in org.gradle.api.reporting">BuildDashboardReports</a>, <a href="../../../org/gradle/nativeplatform/BuildTypeContainer.html" title="interface in org.gradle.nativeplatform">BuildTypeContainer</a>, <a href="../../../org/gradle/api/plugins/quality/CheckstyleReports.html" title="interface in org.gradle.api.plugins.quality">CheckstyleReports</a>, <a href="../../../org/gradle/api/plugins/quality/CodeNarcReports.html" title="interface in org.gradle.api.plugins.quality">CodeNarcReports</a>, <a href="../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a>, <a href="../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>, <a href="../../../org/gradle/api/artifacts/DependencySet.html" title="interface in org.gradle.api.artifacts">DependencySet</a>, <a href="../../../org/gradle/api/distribution/DistributionContainer.html" title="interface in org.gradle.api.distribution">DistributionContainer</a>, <a href="../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api">DomainObjectSet</a>&lt;T&gt;, <a href="../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">ExtensiblePolymorphicDomainObjectContainer</a>&lt;T&gt;, <a href="../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>, <a href="../../../org/gradle/nativeplatform/FlavorContainer.html" title="interface in org.gradle.nativeplatform">FlavorContainer</a>, <a href="../../../org/gradle/api/publish/ivy/IvyArtifactSet.html" title="interface in org.gradle.api.publish.ivy">IvyArtifactSet</a>, <a href="../../../org/gradle/api/publish/ivy/IvyConfigurationContainer.html" title="interface in org.gradle.api.publish.ivy">IvyConfigurationContainer</a>, <a href="../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>, <a href="../../../org/gradle/jvm/JarBinarySpec.TasksCollection.html" title="interface in org.gradle.jvm">JarBinarySpec.TasksCollection</a>, <a href="../../../org/gradle/api/plugins/quality/JDependReports.html" title="interface in org.gradle.api.plugins.quality">JDependReports</a>, <a href="../../../org/gradle/jvm/test/JvmTestSuiteBinarySpec.JvmTestSuiteTasks.html" title="interface in org.gradle.jvm.test">JvmTestSuiteBinarySpec.JvmTestSuiteTasks</a>, <a href="../../../org/gradle/api/publish/maven/MavenArtifactSet.html" title="interface in org.gradle.api.publish.maven">MavenArtifactSet</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;, <a href="../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;T&gt;, <a href="../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api">NamedDomainObjectList</a>&lt;T&gt;, <a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;, <a href="../../../org/gradle/nativeplatform/NativeExecutableBinarySpec.TasksCollection.html" title="interface in org.gradle.nativeplatform">NativeExecutableBinarySpec.TasksCollection</a>, <a href="../../../org/gradle/nativeplatform/test/NativeTestSuiteBinarySpec.TasksCollection.html" title="interface in org.gradle.nativeplatform.test">NativeTestSuiteBinarySpec.TasksCollection</a>, <a href="../../../org/gradle/nativeplatform/toolchain/NativeToolChainRegistry.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChainRegistry</a>, <a href="../../../org/gradle/platform/base/PlatformContainer.html" title="interface in org.gradle.platform.base">PlatformContainer</a>, <a href="../../../org/gradle/play/distribution/PlayDistributionContainer.html" title="interface in org.gradle.play.distribution">PlayDistributionContainer</a>, <a href="../../../org/gradle/api/plugins/PluginCollection.html" title="interface in org.gradle.api.plugins">PluginCollection</a>&lt;T&gt;, <a href="../../../org/gradle/api/plugins/PluginContainer.html" title="interface in org.gradle.api.plugins">PluginContainer</a>, <a href="../../../org/gradle/api/plugins/quality/PmdReports.html" title="interface in org.gradle.api.plugins.quality">PmdReports</a>, <a href="../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">PolymorphicDomainObjectContainer</a>&lt;T&gt;, <a href="../../../org/gradle/nativeplatform/PrebuiltLibraries.html" title="interface in org.gradle.nativeplatform">PrebuiltLibraries</a>, <a href="../../../org/gradle/language/base/ProjectSourceSet.html" title="interface in org.gradle.language.base">ProjectSourceSet</a>, <a href="../../../org/gradle/api/publish/PublicationContainer.html" title="interface in org.gradle.api.publish">PublicationContainer</a>, <a href="../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts">PublishArtifactSet</a>, <a href="../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting">ReportContainer</a>&lt;T&gt;, <a href="../../../org/gradle/nativeplatform/Repositories.html" title="interface in org.gradle.nativeplatform">Repositories</a>, <a href="../../../org/gradle/api/artifacts/dsl/RepositoryHandler.html" title="interface in org.gradle.api.artifacts.dsl">RepositoryHandler</a>, <a href="../../../org/gradle/nativeplatform/SharedLibraryBinarySpec.TasksCollection.html" title="interface in org.gradle.nativeplatform">SharedLibraryBinarySpec.TasksCollection</a>, <a href="../../../org/gradle/api/component/SoftwareComponentContainer.html" title="interface in org.gradle.api.component">SoftwareComponentContainer</a>, <a href="../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks">SourceSetContainer</a>, <a href="../../../org/gradle/nativeplatform/StaticLibraryBinarySpec.TasksCollection.html" title="interface in org.gradle.nativeplatform">StaticLibraryBinarySpec.TasksCollection</a>, <a href="../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks">TaskCollection</a>&lt;T&gt;, <a href="../../../org/gradle/api/tasks/TaskContainer.html" title="interface in org.gradle.api.tasks">TaskContainer</a>, <a href="../../../org/gradle/testing/base/TestSuiteTaskCollection.html" title="interface in org.gradle.testing.base">TestSuiteTaskCollection</a>, <a href="../../../org/gradle/api/tasks/testing/TestTaskReports.html" title="interface in org.gradle.api.tasks.testing">TestTaskReports</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">DomainObjectCollection&lt;T&gt;</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;T&gt;</pre>
<div class="block"><p>A <code>DomainObjectCollection</code> is a specialised <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util"><code>Collection</code></a> that adds the ability to modification notifications and live filtered sub collections.</p>

 <p>The filtered collections returned by the filtering methods, such as <a href="../../../org/gradle/api/DomainObjectCollection.html#matching(groovy.lang.Closure)"><code>matching(Closure)</code></a>, return collections that are <em>live</em>. That is, they reflect 
 changes made to the source collection that they were created from. This is true for filtered collections made from filtered collections etc.</p>
 <p>
 You can also add actions which are executed as elements are added to the collection. Actions added to filtered collections will be fired if an addition/removal
 occurs for the source collection that matches the filter.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#all(org.gradle.api.Action)">all</a></strong>(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;action)</code>
<div class="block">Executes the given action against all objects in this collection, and any objects subsequently added to this
 collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#all(groovy.lang.Closure)">all</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</code>
<div class="block">Executes the given closure against all objects in this collection, and any objects subsequently added to this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#findAll(groovy.lang.Closure)">findAll</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</code>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#matching(groovy.lang.Closure)">matching</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</code>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#matching(org.gradle.api.specs.Spec)">matching</a></strong>(<a href="../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;spec)</code>
<div class="block">Returns a collection which contains the objects in this collection which meet the given specification.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(org.gradle.api.Action)">whenObjectAdded</a></strong>(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;action)</code>
<div class="block">Adds an <code>Action</code> to be executed when an object is added to this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(groovy.lang.Closure)">whenObjectAdded</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</code>
<div class="block">Adds a closure to be called when an object is added to this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(org.gradle.api.Action)">whenObjectRemoved</a></strong>(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;action)</code>
<div class="block">Adds an <code>Action</code> to be executed when an object is removed from this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(groovy.lang.Closure)">whenObjectRemoved</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</code>
<div class="block">Adds a closure to be called when an object is removed from this collection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;S extends <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;<br><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;S&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class)">withType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</code>
<div class="block">Returns a collection containing the objects in this collection of the given type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;S extends <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;<br><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;S&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
        <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configureAction)</code>
<div class="block">Returns a collection containing the objects in this collection of the given type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;S extends <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;<br><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;S&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20groovy.lang.Closure)">withType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
        <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Returns a collection containing the objects in this collection of the given type.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#add(E)" title="class or interface in java.util">add</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="withType(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withType</h4>
<pre>&lt;S extends <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;S&gt;&nbsp;withType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</pre>
<div class="block">Returns a collection containing the objects in this collection of the given type.  The returned collection is
 live, so that when matching objects are later added to this collection, they are also visible in the filtered
 collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type of objects to find.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The matching objects. Returns an empty collection if there are no such objects in this collection.</dd></dl>
</li>
</ul>
<a name="withType(java.lang.Class, org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withType</h4>
<pre>&lt;S extends <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;S&gt;&nbsp;withType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
                                               <a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super S&gt;&nbsp;configureAction)</pre>
<div class="block">Returns a collection containing the objects in this collection of the given type. Equivalent to calling
 <code>withType(type).all(configureAction)</code></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type of objects to find.</dd><dd><code>configureAction</code> - The action to execute for each object in the resulting collection.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The matching objects. Returns an empty collection if there are no such objects in this collection.</dd></dl>
</li>
</ul>
<a name="withType(java.lang.Class, groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withType</h4>
<pre>&lt;S extends <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;S&gt;&nbsp;withType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type,
                                               <a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Returns a collection containing the objects in this collection of the given type. Equivalent to calling
 <code>withType(type).all(configureClosure)</code>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type of objects to find.</dd><dd><code>configureClosure</code> - The closure to execute for each object in the resulting collection.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The matching objects. Returns an empty collection if there are no such objects in this collection.</dd></dl>
</li>
</ul>
<a name="matching(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matching</h4>
<pre><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;matching(<a href="../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;spec)</pre>
<div class="block">Returns a collection which contains the objects in this collection which meet the given specification. The
 returned collection is live, so that when matching objects are added to this collection, they are also visible in
 the filtered collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - The specification to use.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection of matching objects. Returns an empty collection if there are no such objects in this
         collection.</dd></dl>
</li>
</ul>
<a name="matching(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matching</h4>
<pre><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;matching(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</pre>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification. The
 returned collection is live, so that when matching objects are added to this collection, they are also visible in
 the filtered collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - The specification to use. The closure gets a collection element as an argument.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection of matching objects. Returns an empty collection if there are no such objects in this
         collection.</dd></dl>
</li>
</ul>
<a name="whenObjectAdded(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>whenObjectAdded</h4>
<pre><a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;whenObjectAdded(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;action)</pre>
<div class="block">Adds an <code>Action</code> to be executed when an object is added to this collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to be executed</dd>
<dt><span class="strong">Returns:</span></dt><dd>the supplied action</dd></dl>
</li>
</ul>
<a name="whenObjectAdded(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>whenObjectAdded</h4>
<pre>void&nbsp;whenObjectAdded(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</pre>
<div class="block">Adds a closure to be called when an object is added to this collection. The newly added object is passed to the
 closure as the parameter.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The closure to be called</dd></dl>
</li>
</ul>
<a name="whenObjectRemoved(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>whenObjectRemoved</h4>
<pre><a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;whenObjectRemoved(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;action)</pre>
<div class="block">Adds an <code>Action</code> to be executed when an object is removed from this collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to be executed</dd>
<dt><span class="strong">Returns:</span></dt><dd>the supplied action</dd></dl>
</li>
</ul>
<a name="whenObjectRemoved(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>whenObjectRemoved</h4>
<pre>void&nbsp;whenObjectRemoved(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</pre>
<div class="block">Adds a closure to be called when an object is removed from this collection. The removed object is passed to the
 closure as the parameter.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The closure to be called</dd></dl>
</li>
</ul>
<a name="all(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>all</h4>
<pre>void&nbsp;all(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;action)</pre>
<div class="block">Executes the given action against all objects in this collection, and any objects subsequently added to this
 collection.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to be executed</dd></dl>
</li>
</ul>
<a name="all(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>all</h4>
<pre>void&nbsp;all(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;action)</pre>
<div class="block">Executes the given closure against all objects in this collection, and any objects subsequently added to this collection. The object is passed to the closure as the closure
 delegate. Alternatively, it is also passed as a parameter.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>action</code> - The action to be executed</dd></dl>
</li>
</ul>
<a name="findAll(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findAll</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/gradle/api/DomainObjectCollection.html" title="type parameter in DomainObjectCollection">T</a>&gt;&nbsp;findAll(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</pre>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - The specification to use. The closure gets a collection element as an argument.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection of matching objects. Returns an empty collection if there are no such objects in this
         collection.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/DomainObjectSet.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/DomainObjectCollection.html" target="_top">Frames</a></li>
<li><a href="DomainObjectCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
